// GENERATEUR DE VILLE: URBANISATION UTILISANT FILECITY.MCR
// Cette scne montre comment vous pouvez utiliser Filecity.mcr 
// pour amliorer la vitesse des rendus d'une ville.
// Cette scne devrait tre rendu avec quatre frames, en animation non cyclique.
// Le fichier MyCity.inc peut tre supprim lorsque le rendu est termin.

// ENVIRONNEMENT
   light_source {<-300, 1000, -700> rgb 1}
   light_source {<200, 4000, 100> rgb .5 shadowless}
   default {finish {ambient .3 diffuse .5}}

   background {rgb <.4, .6, .8>}
   fog {fog_type 2 color rgb <.7, .8, .9> distance 300 fog_alt 50}

// CAMERAS SEPAREES POUR CHAQUE FRAME
   #switch (int(clock*3))
   #case (0) camera {location <40, 350, -200> look_at <0, 0, 0>} #break
   #case (1) camera {fisheye location <-2, 1, -2> look_at <5, 20, 7> angle 140} #break
   #case (2) camera {location <-200, 40, -150> look_at <-50, 0, 0>} #break
   #case (3) camera {location <-185, 3, 5> look_at <0, 2, 0>} #end

// CREER LA VILLE ET ENREGISTRER DANS DES FICHIERS
   #declare debug_progress = true;
   #declare city_block_count = 4;
   #declare traffic_spacing = 0;
   #declare city_macro_file = "FILECITY.MCR"
   #declare city_output_file = "MYCITY.INC"

   #if (file_exists ("MYCITY.INC"))
      #include "MYCITY.INC"
   #else
      #include "CITY.INC"
   #end
